com.elastisys.scale.commons.openstack

## Class AuthV3Credentials

- java.lang.Object
- - com.elastisys.scale.commons.openstack.AuthV3Credentials

    public class AuthV3Credentials
    extends Object

Password-credentials for authenticating using version 3 of the Keystone HTTP API.

See Also:
  `AuthConfig`

### Constructor Summary

Constructors
Constructor and Description
`AuthV3Credentials(Scope scope, String userId, String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getPassword()`
`Scope` `getScope()`
`String` `getUserId()`
`int` `hashCode()`
`boolean` `isDomainScoped()` Returns `true` if these credentials are domain-scoped.
`boolean` `isProjectScoped()` Returns `true` if these credentials are project-scoped.
`void` `validate()` Validates the configuration.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthV3Credentials

    public AuthV3Credentials(Scope scope,
                             String userId,
                             String password)

### Method Detail

#### getScope

    public Scope getScope()

Returns:
  the `scope`

#### getUserId

    public String getUserId()

Returns:
  the `userId`

#### getPassword

    public String getPassword()

Returns:
  the `password`

#### isDomainScoped

    public boolean isDomainScoped()

Returns `true` if these credentials are domain-scoped.

Returns:

#### isProjectScoped

    public boolean isProjectScoped()

Returns `true` if these credentials are project-scoped.

Returns:

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### validate

    public void validate()
                  throws IllegalArgumentException

Validates the configuration. On illegal value combination(s), an `IllegalArgumentException` is thrown.

Throws:
  `IllegalArgumentException`